<div class="container-fluid detail-match-container ">
    <div class="container">
        <div class="row">
            <app-parrainage></app-parrainage>
            
            <div *ngFor="let equipe of equipeList" class="cardEquipe column shadow mb-3 padding d-flex flex-row" (click)="goToEquipe(equipe)">
                <div class="cardLogo col-1 d-flex justify-content-center align-items-center">
                  <img class="imageClub" src="{{getEquipeLogo(equipe)}}">
                </div>
                <div class="nomClub col-7 d-flex justify-content-left align-items-center">
                  <h2>{{equipe.nomLong}}</h2>
                </div>
                <div class="dernerResultat col-2 d-flex justify-content-center align-items-center">
                  <p class="couleurTexte">Derniers Résultats</p>
                </div>
                <div class="ResumederniersResultats justify-content-center align-items-center">
                  <div class="card d-flex flex-row d-flex justify-content-center align-items-center border-0" *ngFor="let match of matchList[equipe.nomCourt]">
                    <div class="d-flex justify-content-center align-items-center border-0">
                      <!---div qui crée un carré de couleur vert, orange ou rouge selon le résultat de l'équipe-->
                      <div class="card couleurResult border-0 me-1" [ngStyle]="{'background-color': match.scoreDomicile > match.scoreExterieur ? 'green' : match.scoreDomicile < match.scoreExterieur ? 'red' : 'orange'}"></div>
                      <div class="card resultRencontre d-flex flex-row border-0">
                        <p>{{match.eqDomicile.nomCourt}} {{match.scoreDomicile}} - {{match.scoreExterieur}} {{match.eqExterieur.nomCourt}}</p>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
              
        </div>
    </div>
</div>
